using System;

namespace takmicenjeKvalifikacije2Prvi
{
    internal class Program

    {
        static int provera(int k, int[] spil)
        {
            int x = 0;
            if(spil[spil.Length-1] == k)
            {
                x = spil[0]; 
            }
            else
            {
                for (int i = 0; i <= spil.Length - 2; i++)
                {
                    if (k == spil[i])
                    {
                        x = (spil[i + 1]);
                    }
                }
            }
            return x;

        }
        static void Main(string[] args)
        {
            string[] linijaulaza = Console.ReadLine().Split();
            int n = Convert.ToInt32(linijaulaza[0]);
            int k = Convert.ToInt32(linijaulaza[1]);
            linijaulaza = Console.ReadLine().Split();
            int[] spil = new int[n];
            for (int i = 0; i < n; i++)
            {
                spil[i] = Convert.ToInt32(linijaulaza[i]);
            }
            Console.WriteLine(provera(k, spil));
        }
    }
}